nodejs-request-2.25.0-3.el6.noarch.rpm


Advertisement

Description

nodejs-request - Simplified HTTP request client

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package name nodejs-request
Package version 2.25.0
Package release 3.el6
Package architecture noarch
Package type rpm
Installed size 62.74 KB
Download size 26.48 KB
Official Mirror dl.fedoraproject.org
Request is designed to be the simplest way possible to make HTTP calls. It
supports HTTPS and follows redirects by default.
You can stream any response to a file stream. You can also stream a file to a
PUT or POST request.  It also supports a few simple server and proxy functions.

Alternatives

Package Version Architecture Repository
nodejs-request-2.25.0-3.sdl6.noarch.rpm 2.25.0 noarch PUIAS Unsupported
nodejs-request-2.25.0-3.sdl6.noarch.rpm 2.25.0 noarch PUIAS Unsupported
nodejs-request-2.25.0-3.el6.noarch.rpm 2.25.0 noarch EPEL
nodejs-request - - -

Requires

Name Value
nodejs(engine) -
npm(aws-sign) >= 0.3.0
npm(aws-sign) < 0.4
npm(cookie-jar) >= 0.3.0
npm(cookie-jar) < 0.4
npm(forever-agent) >= 0.5.0
npm(forever-agent) < 0.6
npm(form-data) < 1
npm(form-data) >= 0.1
npm(hawk) >= 1.0
npm(hawk) < 2
npm(http-signature) >= 0.10
npm(http-signature) < 0.11
npm(json-stringify-safe) >= 5
npm(json-stringify-safe) < 6
npm(mime) >= 1.2.9
npm(mime) < 1.3
npm(node-uuid) >= 1.4.0
npm(node-uuid) < 1.5
npm(oauth-sign) >= 0.3.0
npm(oauth-sign) < 0.4
npm(qs) >= 0.6.0
npm(qs) < 0.7
npm(tunnel-agent) >= 0.3.0
npm(tunnel-agent) < 0.4

Provides

Name Value
nodejs-request = 2.25.0-3.el6
npm(request) = 2.25.0

Download

Type URL
Binary Package nodejs-request-2.25.0-3.el6.noarch.rpm
Source Package nodejs-request-2.25.0-3.el6.src.rpm

Install Howto

  1. Download the latest epel-release rpm from
    http://dl.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install nodejs-request rpm package:
    # yum install nodejs-request

Files

Path
/usr/lib/node_modules/request/index.js
/usr/lib/node_modules/request/package.json
/usr/lib/node_modules/request/node_modules/aws-sign
/usr/lib/node_modules/request/node_modules/cookie-jar
/usr/lib/node_modules/request/node_modules/forever-agent
/usr/lib/node_modules/request/node_modules/form-data
/usr/lib/node_modules/request/node_modules/hawk
/usr/lib/node_modules/request/node_modules/http-signature
/usr/lib/node_modules/request/node_modules/json-stringify-safe
/usr/lib/node_modules/request/node_modules/mime
/usr/lib/node_modules/request/node_modules/node-uuid
/usr/lib/node_modules/request/node_modules/oauth-sign
/usr/lib/node_modules/request/node_modules/qs
/usr/lib/node_modules/request/node_modules/tunnel-agent
/usr/share/doc/nodejs-request-2.25.0/LICENSE
/usr/share/doc/nodejs-request-2.25.0/README.md

Changelog

2013-08-18 - Jamie Nguyen <jamielinux@fedoraproject.org> - 2.25.0-3
- fix versioned dependencies take two (#998140)
2013-08-18 - Jamie Nguyen <jamielinux@fedoraproject.org> - 2.25.0-2
- fix versioned dependencies (#998140)
2013-07-30 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.25.0-1
- new upstream release 2.25.0
2013-06-23 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.21.0-1
- new upstream release 2.21.0
2013-06-22 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.16.6-5
- restrict to compatible arches
2013-05-28 - Jamie Nguyen <jamielinux@fedoraproject.org> - 2.16.6-4
- make versioned dependency on npm(qs) less specific
- add %check
2013-04-15 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.16.6-3
- add macro for EPEL6 dependency generation
2013-04-10 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.16.6-2
- fix versions for newly added dependencies
2013-04-03 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.16.6-1
- new upstream release 2.16.6
- cookie library now unbundled upstream
2013-03-13 - T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.14.0-1
- new upstream release 2.14.0

See Also

Package Description
nodejs-require-all-0.0.6-3.el6.noarch.rpm Require all files within a directory
nodejs-require-cs-0.4.4-1.el6.noarch.rpm An AMD loader plugin for CoffeeScript
nodejs-require-uncached-1.0.2-1.el6.noarch.rpm Require a module bypassing the cache
nodejs-requirejs-2.1.11-3.el6.noarch.rpm Node.js adapter for RequireJS, for loading AMD modules
nodejs-resolve-0.5.0-1.el6.noarch.rpm Resolve like require.resolve() on behalf of files asynchronously/synchronously
nodejs-resolve-from-1.0.0-1.el6.noarch.rpm Resolve the path of a module like require.resolve() but from a given path
nodejs-response-time-1.0.0-1.el6.noarch.rpm X-Response-Time header for Node.js and Connect
nodejs-retry-0.6.0-5.el6.noarch.rpm Retry strategies for failed operations
nodejs-revalidator-0.1.7-1.el6.noarch.rpm A cross-browser/Node.js validator used by resourceful
nodejs-rhea-0.2.10-1.el6.noarch.rpm A reactive messaging library based on the AMQP protocol
nodejs-rimraf-2.2.2-1.el6.noarch.rpm A deep deletion module for node.js
nodejs-ronn-0.4.0-4.el6.noarch.rpm Markdown to roff/html converter
nodejs-runforcover-0.0.2-4.el6.noarch.rpm Require plugin for JS code coverage
nodejs-sax-0.6.0-1.el6.noarch.rpm A streaming SAX-style XML parser in JavaScript for Node.js
nodejs-scmp-0.0.3-2.el6.noarch.rpm Constant-time string comparison intended to be safer against timing attacks
Advertisement
Advertisement